Skip to content

List Lifecycle Rules

GET
/api/v1/storage/bucket_lifecycle/{bucket_name}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_lifecycle/{bucket_name}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
bucket_name
required
string

Bucket Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successfully fetched lifecycle rules for the bucket

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
rule_id
string
enabled
boolean
prefix
string
expiry_date_or_days
string
noncurrent_version_expiration_date_or_days
string
transition
string
storage_class
string
tags
string
location
string
bucket
integer
user
integer
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1310,
"deleted": false,
"created_at": "2025-05-27T06:39:02.713206Z",
"updated_at": "2025-05-27T06:39:02.713304Z",
"rule_id": "4aeca5795d1d4d41b2f7e0129a93bc3c",
"enabled": true,
"prefix": "",
"expiry_date_or_days": "1",
"noncurrent_version_expiration_date_or_days": "1",
"transition": "",
"storage_class": "",
"tags": "",
"location": "Delhi",
"bucket": 12345,
"user": 24778
}
],
"errors": {},
"message": "Success"
}

Precondition Failed – Bucket does not exist in the project

Media typeapplication/json
object
code
integer
data
object
errors
string
message
string

Example

{
"code": 412,
"data": {},
"errors": "No Bucket with this name exist in this project.",
"message": "Precondition Failed"
}